package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.console.TConsoleDbfieldtype;
import java.util.List;

public interface DBFieldTypesService {
   List<TConsoleDbfieldtype> query(PageInfo pageInfo);

   void remove(List<String> idlist);

   void save(TConsoleDbfieldtype dbFieldTypes);

   String getColumnTypeByJavaType(String dbtype, String javatype);

   TConsoleDbfieldtype getColumnTypeByJavaType(String dbtype, String javatype, String engintype);

   TConsoleDbfieldtype queryColumn(String sourcedbtype, String columnname, String javatype);

   String getColumnJavaType(String dbtype, String columntype);

   void refreshDBFieldTypes();

   String getEngineType(String dbtype, String columntype);
}
